Subject: [bug#43650] [PATCH 1/8] services: hurd-vm: Run QEMU as an unprivileged user.

From: Ludovic Courtès <[email-masked]>
Date: Tue, 29 Sep 2020 00:19:34 +0200

Hi,

Jan Nieuwenhuizen <[email-masked]> skribis:

>> Until qemu was running as "root", which is unnecessary.
>
> Well...I can't get this to work; my childhurd does not run.  Did you
> test it?  Any special tricks needed, adding "childhurd" to "kvm" maybe?

I did test it, but it seems there’s “something” that sometimes leads to
a startup failure and subsequent respawn of the Shepherd service (it can
be seen in the output of “herd status childhurd”).  Typically if I “herd
restart childhurd” it then proceeds and works.

To be continued…

Thanks for testing!

Ludo’.